﻿@page
@model RegisterModel
@{
    ViewBag.Title = "Register";
}

<div class="container my-5">
    <div class="row justify-content-center">
        <div class="col-12 col-md-9 col-lg-7 col-xl-6 shadow p-4 rounded-3 bg-light">
            <form asp-route-returnUrl="@Model.ReturnUrl" method="post" class="row">

                <div asp-validation-summary="ModelOnly" class="text-danger" role="alert"></div>

                <div class="col-12">
                    <h3>FoodSystem | Register</h3>
                    <p class="fs-7 text-secondary">Please register to access the system.</p>
                    <hr />
                </div>

                <div class="col-12 col-md-6 mb-3">
                    <label asp-for="Input.FirstName" class="form-label my-1"></label>
                    <span class="text-danger fw-bold">*</span>
                    <input asp-for="Input.FirstName" class="form-control" />
                    <span asp-validation-for="Input.FirstName" class="text-danger fs-7 fw-bold my-1"></span>
                </div>

                <div class="col-12 col-md-6 mb-3">
                    <label asp-for="Input.LastName" class="form-label my-1"></label>
                    <span class="text-danger fw-bold">*</span>
                    <input asp-for="Input.LastName" class="form-control" />
                    <span asp-validation-for="Input.LastName" class="text-danger fs-7 fw-bold my-1"></span>
                </div>

                <div class="col-12 col-md-6 mb-3">
                    <label asp-for="Input.UserName" class="form-label my-1"></label>
                    <span class="text-danger fw-bold">*</span>
                    <input asp-for="Input.UserName" class="form-control" />
                    <span asp-validation-for="Input.UserName" class="text-danger fs-7 fw-bold my-1"></span>
                </div>

                <div class="col-12 col-md-6 mb-3">
                    <label asp-for="Input.PhoneNumber" class="form-label my-1"></label>
                    <span class="text-danger fw-bold">*</span>
                    <input asp-for="Input.PhoneNumber" class="form-control" />
                    <span asp-validation-for="Input.PhoneNumber" class="text-danger fs-7 fw-bold my-1"></span>
                </div>

                <div class="col-12 mb-3">
                    <label asp-for="Input.Address" class="form-label my-1"></label>
                    <span class="text-danger fw-bold">*</span>
                    <input asp-for="Input.Address" class="form-control" />
                    <span asp-validation-for="Input.Address" class="text-danger fs-7 fw-bold my-1"></span>
                </div>

                <div class="col-12 col-lg-6 mb-3">
                    <label asp-for="Input.Email" class="form-label my-1"></label>
                    <span class="text-danger fw-bold">*</span>
                    <input asp-for="Input.Email" class="form-control" />
                    <span asp-validation-for="Input.Email" class="text-danger fs-7 fw-bold my-1"></span>
                </div>

                <div class="col-12 col-lg-6 mb-3">
                    <label asp-for="Input.UserRole" class="form-label my-1"></label>
                    <span class="text-danger fw-bold">*</span>
                    <select class="form-select" asp-for="Input.UserRole">
                        <option hidden>Please select one</option>
                        <option value="Chef">Chef</option>
                        <option value="Cashier">Cashier</option>
                    </select>
                    <span asp-validation-for="Input.UserRole" class="text-danger fs-7 fw-bold my-1"></span>
                </div>

                <div class="col-12 col-lg-6 mb-3">
                    <label asp-for="Input.Password" class="form-label my-1"></label>
                    <span class="text-danger fw-bold">*</span>
                    <input asp-for="Input.Password" class="form-control" />
                    <span asp-validation-for="Input.Password" class="text-danger fs-7 fw-bold my-1"></span>
                </div>

                <div class="col-12 col-lg-6 mb-4">
                    <label asp-for="Input.ConfirmPassword" class="form-label my-1"></label>
                    <span class="text-danger fw-bold">*</span>
                    <input asp-for="Input.ConfirmPassword" class="form-control" />
                    <span asp-validation-for="Input.ConfirmPassword" class="text-danger fs-7 fw-bold my-1"></span>
                </div>
            
                <div class="col-12 mb-4">
                    <button type="submit" class="btn btn-primary w-100 fw-bold">Register</button>
                </div>

                <div class="col-12 mb-0">
                    <p>Already have an account? <a asp-page="/Account/Login" class="text-decoration-none fw-bold">Login here.</a></p>
                </div>

            </form>
        </div>
    </div>
</div>

@section Scripts {
    <partial name="_ValidationScriptsPartial" />
}
